{% set CodiceModulo = "DOM-REG-ZTL" %}
{% set Urn = "document:c_h470:modello.b.ztl" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
 { "codice":"COP-CONTR-DISA",
   "urn":"document:c_h470:contrassegno.disabili",
   "descrizione_tabella_allegati":"Copia del contrassegno disabili",
   "annotazioni_tabella_allegati":"",
   "descrizione_meta":"", 
   "filename":"Copia contrassegno disabili",
   "firmatari":"Titolare_CodiceFiscale",
   "firmatari_label":"il dichiarante",
   "firmato":"NO",
   "numero":"1",
   "dimensione":"15",
   "enabled":"true",
   "dynamic_check":"true",
   "tipo":"allegato",
   "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
 },
{ "codice":"CAR-CIR-VEI",
  "urn":"document:s_italia:viabilita;transito.mezzi.pesanti;carta.circolazione.veicolo;documentazione",
  "descrizione_tabella_allegati":"Carta di circolazione del veicolo",
  "annotazioni_tabella_allegati":"",
  "descrizione_meta":"", 
  "filename":"Carta circolazione veicolo",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"true",
  "dynamic_check":"true",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
},
 { "codice":"MARCA_BOLLO",
   "urn":"document:s_italia:pagamento.imposta.bollo;apposizione.domanda;dichiarazione.sostitutiva",
   "descrizione_tabella_allegati":"Pagamento dell'imposta di bollo",
   "annotazioni_tabella_allegati":"",
   "descrizione_meta":"", 
   "filename":"",
   "numero":"1",
   "enabled":"",
   "dynamic_check":"true",
   "tipo":"secondario"
 },
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
  }
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Modello B - Domanda di registrazione o cancellazione di veicoli muniti di contrassegno per il servizio dei disabili con passaggio in ZTL"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="SI"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|19/03/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Modello B - Domanda di registrazione o cancellazione di veicoli muniti di contrassegno per il servizio dei disabili con passaggio in ZTL {% endblock title %}

{% block content %}
  

{{intestazioni.intestazione_moduloprincipale_conbollo()}}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase()  + ' - registrazione cancellazione veicoli contrassegno disabili con passaggio ZTL - Modello B'" id="Oggetto" name="Oggetto" type="hidden"/>

<h1 class="Modulo">
  Modello B - Domanda di registrazione o cancellazione di veicoli muniti di contrassegno per il servizio dei disabili con passaggio in ZTL
</h1>

<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il sottoscritto", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="3">
        <p class="Labeltabella">
            in relazione al contrassegno di parcheggio per disabili
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Numero
        </p>
      </td>
      <td style="width: 30%;">
        <p class="Labelcella">
          Data
        </p>
      </td>
      <td style="width: 34%;">
        <p class="Labelcella">
          Ente rilasciante
        </p>
      </td>
    </tr>
    <tr mandatory_enabled="true">
      <td>
        <input class="inputNormal" id="Parametri_Contrassegno_Numero" name="Parametri_Contrassegno_Numero" style="width: 100%;" label="Numero" />
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Contrassegno_Data" name="Parametri_Contrassegno_Data" style="width: 100%;" label="Data" format="date" />
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Contrassegno_Ente" name="Parametri_Contrassegno_Ente" style="width: 100%;" label="Ente rilasciante" />
      </td>
    </tr>
  </tbody>
</table>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td>
        <p class="Labeltabella">
            per il seguente soggetto interessato
        </p>
      </td>
    </tr>
  </tbody>
</table>
{{ anagrafica.soggetto_riferimento_servizi_demografici(prefix='AventeTitolo', 
                                                       testo_altra_persona="intestato alla seguente persona", 
                                                       testo_persona="intestato alla propria persona", 
                                                       enabled="true", 
                                                       visibility_intestazione="visibility:visibility", 
                                                       titolo_richiedente="true", 
                                                       altro_titolo="false", 
                                                       visibility_residenza="display:none") }}

<globo_salto_pagina></globo_salto_pagina>
                                                       
<h3 class="Modulo">
    CHIEDE
</h3>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr>
      <td style="vertical-align: top; width: 4%;background-color: white;" rowspan="7">
        <div id="Tassonomia_Chiede" name="Tassonomia_Chiede" label="Chiede" mandatory="true"></div>
        <input id="Tassonomia_Chiede1" name="Tassonomia_Chiede" type="radio" value="1" />
      </td>
      <td colspan="5">
        <p>
            la registrazione dei seguenti veicoli per il passaggio in ZTL <br> <span style="font-size: 70%;"><i>(l’accesso alla ZTL è consentito solo con intestatario del contrassegno di parcheggio dei disabili a bordo del veicolo)</i></span>
        </p>
      </td>
    </tr>
    {% set num=6 %}
    {% set campi=[
        {
        "titolo":"Tipo",
        "label":"Tipo",
        "id":"Parametri_Registrazione_Registrazione_Tipo",
        "format":"",
        "carattere_speciale":"",
        "width":"",
        "options":""
        },  
        {
        "titolo":"Modello",
        "label":"Modello",
        "id":"Parametri_Registrazione_Modello",
        "format":"",
        "carattere_speciale":"",
        "width":"19%",
        "options":""
        },  
        {
        "titolo":"Targa",
        "label":"Targa",
        "id":"Parametri_Registrazione_Targa",
        "format":"",
        "carattere_speciale":"",
        "width":"19%",
        "options":""
        },  
        {
        "titolo":"Cognome intestatario",
        "label":"Cognome intestatario",
        "id":"Parametri_Registrazione_Intestatario_Cognome",
        "format":"",
        "carattere_speciale":"",
        "width":"19%",
        "options":""
        },  
        {
        "titolo":"Nome intestatario",
        "label":"Nome intestatario",
        "id":"Parametri_Registrazione_Intestatario_Nome",
        "format":"",
        "carattere_speciale":"",
        "width":"19%",
        "options":""
        },  
    ]%}
    {% for i in range(1, num) %}
        {% if loop.first %}  
            <tr class="Rigaintestazioneridotta" style="border:0px;">
            {% for campo in campi %}
                <td {% if campo["width"]!='' %} style='width: {{ campo["width"] }};' {% endif %}>
                <p class="Labelcella">
                {{ campo["titolo"] }}
                </p>
            </td>  
            {% endfor %}            
            </tr>        
        {% endif %}
    {% if loop.first %}<tr mandatory_enabled="#Tassonomia_Chiede1.checked()" style="border:0px;"> {% else %}<tr style="border:0px;">{% endif %}
        {% for campo in campi %}
            <td>
            {% if campo["carattere_speciale"]!=''%}<p>{% endif %}    
                {% if campo["options"] == ''%}<input {% else %} <select {% endif %} style="width: {% if campo['carattere_speciale']!='' %}{{5+(campi|length*10)}}{% else %}100{% endif %}%;"  label="{{ campo['label'] }}" {% if campo["format"]!='' %} format="{{ campo['format'] }}" {% endif %} id="{{ campo['id']~i }}" name="{{ campo['id']~i }}" {% if i!=1 %} {% if loop.first %} enabled="#{{ campo['id']~ (i-1)}}.value()!=''" {% else %} mandatory_enabled="#{{ campi[0]['id']~i }}.value()!=''" {% endif %}{% endif %} class="inputNormal"  {% if campo["campi"] == ''%}/> {% else %}> {% endif %}
                {% if campo["options"] != ''%}<option value=""></option>{% for option in campo["options"].split(',') %}<option value="{{ option }}">{{ option }}</option>{% endfor %}</select>{% endif %}
            {% if campo["carattere_speciale"]!=''%}{{ campo["carattere_speciale"] }}</p>{% endif %}
            </td>      
        {% endfor %}  
    </tr>
    {% endfor %}
    <tr>
      <td style="vertical-align: top; width: 4%;background-color: white;" rowspan="7">
        <input id="Tassonomia_Chiede2" name="Tassonomia_Chiede" type="radio" value="2" />
      </td>
      <td colspan="5">
        <p>
          la cancellazione dei seguenti veicoli per il passaggio in ZTL <br> <span style="font-size: 70%;"><i>(l’accesso alla ZTL è consentito solo con intestatario del contrassegno di parcheggio dei disabili a bordo del veicolo)</i></span>
        </p>
      </td>
    </tr>
    {% set num=6 %}
    {% set campi=[
        {
        "titolo":"Tipo",
        "label":"Tipo",
        "id":"Parametri_Cancellazione_Registrazione_Tipo",
        "format":"",
        "carattere_speciale":"",
        "width":"",
        "options":""
        },  
        {
        "titolo":"Modello",
        "label":"Modello",
        "id":"Parametri_Cancellazione_Modello",
        "format":"",
        "carattere_speciale":"",
        "width":"19%",
        "options":""
        },  
        {
        "titolo":"Targa",
        "label":"Targa",
        "id":"Parametri_Cancellazione_Targa",
        "format":"",
        "carattere_speciale":"",
        "width":"19%",
        "options":""
        },  
        {
        "titolo":"Cognome intestatario",
        "label":"Cognome intestatario",
        "id":"Parametri_Cancellazione_Intestatario_Cognome",
        "format":"",
        "carattere_speciale":"",
        "width":"19%",
        "options":""
        },  
        {
        "titolo":"Nome intestatario",
        "label":"Nome intestatario",
        "id":"Parametri_Cancellazione_Intestatario_Nome",
        "format":"",
        "carattere_speciale":"",
        "width":"19%",
        "options":""
        },  
    ]%}
    {% for i in range(1, num) %}
        {% if loop.first %}  
            <tr class="Rigaintestazioneridotta" style="border:0px;">
            {% for campo in campi %}
                <td {% if campo["width"]!='' %} style='width: {{ campo["width"] }};' {% endif %}>
                <p class="Labelcella">
                {{ campo["titolo"] }}
                </p>
            </td>  
            {% endfor %}            
            </tr>        
        {% endif %}
    {% if loop.first %}<tr mandatory_enabled="#Tassonomia_Chiede2.checked()" style="border:0px;"> {% else %}<tr style="border:0px;">{% endif %}
        {% for campo in campi %}
            <td>
            {% if campo["carattere_speciale"]!=''%}<p>{% endif %}    
                {% if campo["options"] == ''%}<input {% else %} <select {% endif %} style="width: {% if campo['carattere_speciale']!='' %}{{5+(campi|length*10)}}{% else %}100{% endif %}%;"  label="{{ campo['label'] }}" {% if campo["format"]!='' %} format="{{ campo['format'] }}" {% endif %} id="{{ campo['id']~i }}" name="{{ campo['id']~i }}" {% if i!=1 %} {% if loop.first %} enabled="#{{ campo['id']~ (i-1)}}.value()!=''" {% else %} mandatory_enabled="#{{ campi[0]['id']~i }}.value()!=''" {% endif %}{% endif %} class="inputNormal"  {% if campo["campi"] == ''%}/> {% else %}> {% endif %}
                {% if campo["options"] != ''%}<option value=""></option>{% for option in campo["options"].split(',') %}<option value="{{ option }}">{{ option }}</option>{% endfor %}</select>{% endif %}
            {% if campo["carattere_speciale"]!=''%}{{ campo["carattere_speciale"] }}</p>{% endif %}
            </td>      
        {% endfor %}  
    </tr>
    {% endfor %}
  </tbody>
</table>

<br/>

{{ utils.eventuali_annotazioni()}}

<br/>

<table class="Modulo" style="border:1px solid grey">
 <tbody>
  <tr class="Rigaintestazione">
   <td colspan="2">
    <p style="text-align: center;">
     <b>
      Elenco degli allegati
     </b>
     <br/>
     <span style="font-size:70%">
      <i>
       (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale)
      </i>
     </span>
    </p>
   </td>
  </tr>
  {% for allegato in allegati %}
  <tr>
   <td style="vertical-align: top; width: 4%;">
    <input id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %} />  
  {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
   </td>
   <td style="background-color: #eeeeee;">
    <p>
       {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %}<br/><span style="font-size:70%"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}
      </p>
    </td>
  </tr>                     
{% endfor %}
  <tr>
   <td style="vertical-align: top; width: 4%;">
    <input id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" type="checkbox" value="OBBLIGATORIO"/>
   </td>
   <td style="background-color: #eeeeee;">
    <p>
     altri allegati
     <span style="font-size:70%">
      (specificare)
     </span>
     <input class="inputNormal" id="AltriAllegati" label="Altri allegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()" name="AltriAllegati" style="width:79%;"/>
    </p>
   </td>
  </tr>
 </tbody>
</table>

<br/>

{{ utils.trattamento_dati_personali() }}

<br/>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="2">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<br/>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>

<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>

<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
